/* SPDX-License-Identifier: GPL-2.0 */
/*
 * Interconnect framework driver for i.MX SoC
 *
 * Copyright (c) 2019, NXP
 */

#ifndef __IMX8MP_ICM_INTERCONNECT_IDS_H
#define __IMX8MP_ICM_INTERCONNECT_IDS_H

#define IMX8MP_ICN_NOC		1
#define IMX8MP_ICS_DRAM		2
#define IMX8MP_ICS_OCRAM	3
#define IMX8MP_ICM_A53		4

#define IMX8MP_ICM_ML		5
#define IMX8MP_ICL_ML		6

#define IMX8MP_ICM_VPU_G1	7
#define IMX8MP_ICM_VPU_G2	8
#define IMX8MP_ICM_VPU_E	9
#define IMX8MP_ICN_VIDEO	10
#define IMX8MP_ICL_VIDEO	11

#define IMX8MP_ICM_GPU_2D	12
#define IMX8MP_ICM_GPU_3D	13
#define IMX8MP_ICN_GPU		14
#define IMX8MP_ICL_GPU		15

#define IMX8MP_ICM_CSI1		16
#define IMX8MP_ICM_CSI2		17
#define IMX8MP_ICM_ISI		18
#define IMX8MP_ICM_DEWARP	19
#define IMX8MP_ICM_ISP1		20
#define IMX8MP_ICM_ISP2		21
#define IMX8MP_ICM_LCDIF_MIPI	22
#define IMX8MP_ICM_LCDIF_LVDS	23
#define IMX8MP_ICN_MEDIA	24
#define IMX8MP_ICL_MEDIA	25

#define IMX8MP_ICM_LCDIF_HDMI	26
#define IMX8MP_ICN_HDMI		27
#define IMX8MP_ICL_HDMI		28

#define IMX8MP_ICM_PCIE		29
#define IMX8MP_ICM_USB1		30
#define IMX8MP_ICM_USB2		31
#define IMX8MP_ICN_HSIO		32
#define IMX8MP_ICL_HSIO		33

#define IMX8MP_ICM_AUDIO_DSP	34
#define IMX8MP_ICM_SDMA2	35
#define IMX8MP_ICM_SDMA3	35
#define IMX8MP_ICN_AUDIO	36
#define IMX8MP_ICL_AUDIO	37

#define IMX8MP_ICM_ENET		38
#define IMX8MP_ICM_NETC		39
#define IMX8MP_ICN_ENET		40

#define IMX8MP_ICM_NAND		41
#define IMX8MP_ICM_SDMA1	42
#define IMX8MP_ICM_USDHC1	43
#define IMX8MP_ICM_USDHC2	44
#define IMX8MP_ICM_USDHC3	45
#define IMX8MP_ICN_MAIN		46

#endif /* __IMX8MP_ICM_INTERCONNECT_IDS_H */
